summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
Diffstat (limited to 'network')
-rw-r--r--network/ucspi-ssl/README5
-rw-r--r--network/ucspi-ssl/slack-desc19
-rw-r--r--network/ucspi-ssl/ucspi-ssl-0.70.SlackBuild.patch62
-rw-r--r--network/ucspi-ssl/ucspi-ssl.SlackBuild71
-rw-r--r--network/ucspi-ssl/ucspi-ssl.info8
5 files changed, 165 insertions, 0 deletions
diff --git a/network/ucspi-ssl/README b/network/ucspi-ssl/README
new file mode 100644
index 0000000000..b48310e67e
--- /dev/null
+++ b/network/ucspi-ssl/README
@@ -0,0 +1,5 @@
+ucspi-ssl (ssl tcp client-server command-line tools)
+
+sslserver and sslclient are command-line tools for building SSL
+client-server applications. They conform to the UNIX Client-Server
+Program Interface, UCSPI.
diff --git a/network/ucspi-ssl/slack-desc b/network/ucspi-ssl/slack-desc
new file mode 100644
index 0000000000..47e5fec4c1
--- /dev/null
+++ b/network/ucspi-ssl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ucspi-ssl: ucspi-ssl (ssl tcp client-server command-line tools)
+ucspi-ssl:
+ucspi-ssl: sslserver and sslclient are command-line tools for building SSL
+ucspi-ssl: client-server applications. They conform to the UNIX Client-Server
+ucspi-ssl: Program Interface, UCSPI.
+ucspi-ssl:
+ucspi-ssl:
+ucspi-ssl:
+ucspi-ssl:
+ucspi-ssl:
+ucspi-ssl:
diff --git a/network/ucspi-ssl/ucspi-ssl-0.70.SlackBuild.patch b/network/ucspi-ssl/ucspi-ssl-0.70.SlackBuild.patch
new file mode 100644
index 0000000000..73d22f1857
--- /dev/null
+++ b/network/ucspi-ssl/ucspi-ssl-0.70.SlackBuild.patch
@@ -0,0 +1,62 @@
+diff -ur ucspi-ssl-0.70.old/package/command-ln ucspi-ssl-0.70/package/command-ln
+--- ucspi-ssl-0.70.old/package/command-ln 2005-07-17 18:59:02.000000000 -0500
++++ ucspi-ssl-0.70/package/command-ln 2009-05-16 20:28:13.000000000 -0500
+@@ -1,5 +1,3 @@
+-/package/host/superscript.com/command
+-/usr/local/bin
+
+ Directories to soft link commands into, one per line.
+ The first empty line terminates the list.
+Only in ucspi-ssl-0.70/package: command-ln~
+diff -ur ucspi-ssl-0.70.old/package/upgrade ucspi-ssl-0.70/package/upgrade
+--- ucspi-ssl-0.70.old/package/upgrade 2009-05-16 20:20:29.000000000 -0500
++++ ucspi-ssl-0.70/package/upgrade 2009-05-16 20:19:25.000000000 -0500
+@@ -62,14 +62,14 @@
+
+ [ "X$targets" = "X" ] && barf "no targets"
+
+-version="`head -1 package/version`"
+-here="`pwd`"
+-command="`echo $here | sed -e 's/-'$version'$//'`/command"
+-package="`basename $here | sed -e 's/-'$version'$//'`"
+-echo "symlink $package -> $package-$version"
+-safe rm -f $package
+-safe ln -s $package-$version $package
+-safe mv -f $package ..
++#version="`head -1 package/version`"
++#here="`pwd`"
++#command="`echo $here | sed -e 's/-'$version'$//'`/command"
++#package="`basename $here | sed -e 's/-'$version'$//'`"
++#echo "symlink $package -> $package-$version"
++#safe rm -f $package
++#safe ln -s $package-$version $package
++#safe mv -f $package ..
+
+ commands=
+ for i in $targets
+diff -ur ucspi-ssl-0.70.old/src/conf-cadir ucspi-ssl-0.70/src/conf-cadir
+--- ucspi-ssl-0.70.old/src/conf-cadir 2005-07-17 18:59:02.000000000 -0500
++++ ucspi-ssl-0.70/src/conf-cadir 2009-05-16 20:13:51.000000000 -0500
+@@ -1,4 +1,4 @@
+-/usr/local/ssl/certs
++/etc/ssl/certs
+
+ This is the ucspi-ssl CA directory.
+ An empty name means no certificate directory is compiled in.
+diff -ur ucspi-ssl-0.70.old/src/conf-dhfile ucspi-ssl-0.70/src/conf-dhfile
+--- ucspi-ssl-0.70.old/src/conf-dhfile 2005-07-17 18:59:02.000000000 -0500
++++ ucspi-ssl-0.70/src/conf-dhfile 2009-05-16 20:23:04.000000000 -0500
+@@ -1,3 +1,3 @@
+-/usr/local/ssl/pem/dh1024.pem
++/etc/ssl/pem/dh1024.pem
+
+ This is the sslserver DH parameter file.
+diff -ur ucspi-ssl-0.70.old/src/conf-tcpbin ucspi-ssl-0.70/src/conf-tcpbin
+--- ucspi-ssl-0.70.old/src/conf-tcpbin 2005-07-17 18:59:02.000000000 -0500
++++ ucspi-ssl-0.70/src/conf-tcpbin 2009-05-16 20:17:25.000000000 -0500
+@@ -1,4 +1,4 @@
+-/usr/local/bin
++/usr/bin
+
+ This is the ucspi-tcp bin directory. The ucspi-tcp executables
+ should appear in it.
diff --git a/network/ucspi-ssl/ucspi-ssl.SlackBuild b/network/ucspi-ssl/ucspi-ssl.SlackBuild
new file mode 100644
index 0000000000..ccc7357e99
--- /dev/null
+++ b/network/ucspi-ssl/ucspi-ssl.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for ucspi-ssl
+
+# Written by David Miller dave@frop.net
+# This script is released into the public domain
+
+PRGNAM=ucspi-ssl
+VERSION=${VERSION:-0.70}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+mv host/superscript.com/net/$PRGNAM-$VERSION ./
+rm -r host
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo gcc $SLKCFLAGS > src/conf-cc
+echo $PKG/usr/bin > package/command-cp
+
+patch -p1 < $CWD/$PRGNAM-$VERSION.SlackBuild.patch
+
+# Compile the application and install it into the $PKG directory
+./package/compile
+./package/install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a package/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/ucspi-ssl/ucspi-ssl.info b/network/ucspi-ssl/ucspi-ssl.info
new file mode 100644
index 0000000000..0d9a37b84d
--- /dev/null
+++ b/network/ucspi-ssl/ucspi-ssl.info
@@ -0,0 +1,8 @@
+PRGNAM="ucspi-ssl"
+VERSION="0.70"
+HOMEPAGE="http://www.superscript.com/ucspi-ssl/intro.html"
+DOWNLOAD="http://www.superscript.com/ucspi-ssl/ucspi-ssl-0.70.tar.gz"
+MD5SUM="22a2ebd0c6905726811c615286bac875"
+MAINTAINER="David Miller"
+EMAIL="dave@frop.net"
+APPROVED="rworkman"